Package com.xebialabs.xlrelease.configuration

# Class TaskAccess

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.configuration.TaskAccess

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false) public class TaskAccess extends BaseConfiguration

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TASK_ACCESS_PATH`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskAccess()`
  `TaskAccess(String taskType, boolean isAllowedToAll, List<String> roles)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getRoles()`
  `static String`
  `getTaskAccessId(String taskType)`
  `boolean`
  `isAllowedToAll()`
  `void`
  `setAllowedToAll(boolean isAllowedToAll)`
  `void`
  `setRoles(List<String> roles)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, getTitle, hasId, isSupportedOn, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TASK_ACCESS_PATH

    public static final String TASK_ACCESS_PATH
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TaskAccess

    public TaskAccess()

  - ### TaskAccess

    public TaskAccess(String taskType, boolean isAllowedToAll, List<String> roles)

- ## Method Details

  - ### getTaskAccessId

    public static String getTaskAccessId(String taskType)

  - ### getRoles

    public List<String> getRoles()

  - ### setRoles

    public void setRoles(List<String> roles)

  - ### isAllowedToAll

    public boolean isAllowedToAll()

  - ### setAllowedToAll

    public void setAllowedToAll(boolean isAllowedToAll)